%define anolis_release 1
%global modname prettytable


Name:		python-%{modname}
Version:	3.2.0
Release: %{anolis_release}%{dist}
Summary:	Python library to display tabular data in tables

License:	BSD
Source0:    http://pypi.python.org/packages/source/P/PrettyTable/%{modname}-%{version}.tar.gz
URL:		http://pypi.python.org/pypi/PrettyTable

BuildArch:	noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pip
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(wcwidth)


%global _description\
PrettyTable is a simple Python library designed to make it quick and easy to\
represent tabular data in visually appealing ASCII tables. It was inspired by\
the ASCII tables used in the PostgreSQL shell psql. PrettyTable allows for\
selection of which columns are to be printed, independent alignment of columns\
(left or right justified or centred) and printing of "sub-tables" by specifying\
a row range.

%description %_description

%package -n python3-%{modname}
Summary:	Python library to display tabular data in tables
%{?python_provide:%python_provide python3-%{modname}}

%description -n python3-%{modname}
PrettyTable is a simple Python library designed to make it quick and easy to
represent tabular data in visually appealing ASCII tables. It was inspired by
the ASCII tables used in the PostgreSQL shell psql. PrettyTable allows for
selection of which columns are to be printed, independent alignment of columns
(left or right justified or centred) and printing of "sub-tables" by specifying
a row range.


%prep
%setup -q -n %{modname}-%{version}
rm -rf %{modname}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{modname}
%{!?_licensedir:%global license %%doc}
%license COPYING
%{python3_sitelib}/%{modname}/*.py
%{python3_sitelib}/%{modname}/__pycache__/*
%{python3_sitelib}/%{modname}-%{version}*


%changelog 
* Tue Apr 19 2022 Zhongling He <zhonglingh@linux.alibaba.com> 3.2.0-1
- Init package from upstream v3.2.0
